//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

// ODCRegistry.js
// NLS_CHARSET=UTF-8

var webservice_not_found = "Impossibile trovare il componente WebService '{0}/{1}' ";

//binder.js
var error_on_propertybinder = "Errore nel binder di propriet\u00e0 {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valore {0} non valido per il tipo {1}";

//eclass.js
var unable_create_object = "Impossibile creare eobject senza modello.";
var name_notexist_model = "{0} non esiste nel modello per la classe {1}.";
var invalid_value_4type = "Valore {0} non valido per il tipo {1}.";
var maximum_size_allowed_attribute = "La dimensione massima consentita \u00e8 {0} per l'attributo {1}";
var minimum_size_allowed_attribute = "La dimensione minima consentita \u00e8 {0} per l'attributo {1}";
var maximum_size_allowed_reference = "La dimensione massima consentita \u00e8 {0} per il riferimento {1}";
var minimum_size_allowed_reference = "La dimensione minima consentita \u00e8 {0} per il riferimento {1}";

//eobject.js
var invalid_argument="Argomento non valido.";
var xml_parse_error = "Errore Xml alla riga: {0} Pos: {1} \nOrigine: {2} \nCodice di errore: {3}";
var missing_model = "Modello mancante.";
var reference_missing_inmodel = "Riferimento {0} per la classe {1} mancante nel modello.";
var not_a_reference = "{0} non \u00e8 un riferimento per la classe {1}.";
var member_missing_inmodel = "Membro {0} per la classe {1} mancante nel modello.";
var member_not_eatt_or_eref_inmodel = "Membro {0} per la classe {1} non \u00e8 n\u00e9 un eattribute n\u00e9 un ereference nel modello.";
var member__inmodel = "Membro {0} per la classe {1} non \u00e8 n\u00e9 un eattribute n\u00e9 un ereference nel modello.";
var reference_not_class = "Il riferimento {0} per la classe {1} non \u00e8 una classe.";
var attribute_not_multivalue_inmodel = "L'attributo {1} nella classe {2} non consente valori multipli.";
var class_missing_inmodel = "{0} per la classe {1} mancante nel modello."
var attributecalculate_missing_indata = "Il calcolo dell'attributo {0} non deve esistere nei dati.";
var unable_create_object = "Impossibile creare eobject per la propriet\u00e0 {0} senza modello.";
var invalid_property = "Propriet\u00e0 {0} non valida";
var invalid_expression = "Espressione {0}.{1}. non valida";
var property_cant_change = "La propriet\u00e0 {0} \u00e8 un attributo calcolato oppure un attributo di sola lettura non modificabile."
var root_member_name_missing_error = "Il nome membro principale per il grafico di attraversamento risulta mancante";
var ecore_namespace_missing_error = "Lo spazio dei nomi Ecore per la creazione di un diffgram risulta mancante";
var ereference_list_as_key_error ="Il riferimento {0} per la classe {1} ha una cardinalit\u00e0 che supera il valore 1 non consentito per l'utilizzo come parte di una chiave.";
var multivalue_attr_as_key_error ="L'attributo {0} per la classe {1} ha una cardinalit\u00e0 che supera il valore 1, valore non consentito per l'utilizzo come parte di una chiave.";


//ecreator.js
var unable_create_reference_nomodel = "Impossibile aggiungere ereferences senza modello.";
var unable_create_reference_noreference = "Impossibile aggiungere ereferences senza informazioni sui riferimenti.";
var add_attribute_2nullclass = "Si sta tentando di aggiungere Attributi ad una eclass nulla.";
var no_attribute_supply = "Si sta tentando di aggiungere Attributi alla eclass '{0}', senza che venga fornito alcun attributo.";
var add_reference_2nullclass = "Si sta tentando di aggiungere ereferences ad una eclass nulla.";
var mismatch_reference_length = "La eclass '{0}' definisce i riferimenti {1}, ma sono stati inoltrati soltanto {2}.";


//datagridcontrol.js
var error_datagrid_action = "Errore nell'azione datagrid {0}: {1}";
var label_delete = "Cancella";
var label_add_newrow = "Aggiungi nuova riga...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Accetto";
var label_cancel = "Annulla";
var label_symbol = "simbolo";
var action_datagrid_addrow = "aggiungi riga";
var action_datagrid_removerow = "elimina riga";
var action_datagrid_buildrow = "crea riga";
var selectColName = "Seleziona";
var odcDGImgPrevious = "fare clic qui per andare alla pagina precedente";
var odcDGImgFirst = "fare clic qui per andare alla prima pagina";
var odcDGImgNext = "fare clic qui per andare alla pagina successiva";
var odcDGImgLast = "fare clic qui per andare all'ultima pagina";
var odcDGImgGo = "fare clic qui per andare alla pagina specificata";
var odcDGSkipToMainContent = "vai al contenuto principale";
var odcDGAscending = "ordine crescente";
var odcDGDescending = "ordine decrescente";
var odcDGNavigationPage = " Pagina {0} di {1} ";
var odcDGNavigationJump = " Salta alla pagina:  ";
var invalid_filter_expression = "L'espressione specificata {0} non \u00e8 valida, il messaggio di errore \u00e8 {1}";
var odcdgindexhead = "Riga n\u00b0 ";
var odcDGSelection = "Selezione";
var odcDGImgSelectAll = "Seleziona tutto";
var odcDGImgUnSelectAll = "Deseleziona tutto";
var odcDGImgAddRow = "Aggiungi una riga";
var odcDGImgDelRow = "Cancella una riga";
var odcDGImgAcceptRow = "Accetto";
var odcDGImgCancelRow = "Annulla";


var action_obfcontrolrender_errormsg = "Questo controllo non \u00e8 collegato ad alcun modello di dati lato client \oppure il modello dati lato client \u00e8 nullo.";


//currency.js
var add_mismatch_currencycode = "Eccezione: eseguita addizione di importi in valute differenti. Il primo codice valuta: {0} \u00e8 diverso dal secondo codice valuta: {1}";
var subtract_mismatch_currencycode = "Eccezione: eseguita sottrazione di importi con valute differenti. Il primo codice valuta: {0} \u00e8 diverso dal secondo codice valuta: {1}";

//NLSService.js
var invalid_date_format = "Non \u00e8 disponibile alcuna informazione sul formato data.";
var invalid_date = "La data immessa {0} non \u00e8 una data valida basata sul formato selezionato: {1}";
var invalid_time_format = "Non \u00e8 disponibile alcuna informazione sul formato ora.";
var invalid_time = "L'ora immessa {0} non \u00e8 un'ora valida basata sul formato selezionato: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Indietro";
var label_tab_next = "Avanti >";
var label_tab_cancel = "Annulla";
var label_tab_finish = "Fine";

//detectBrowser.js
var browser_not_support = "Il browser {0} che si sta utilizzando non \u00e8 supportato in questa applicazione.";

//treeControl.js
var odcTreeimgExpand = "Fare clic per espandere";
var odcTreeimgCollapse = "Fare clic per comprimere";
var odcTreeimgFolderOpen = "Cartella aperta";
var odcTreeimgFolderNormal = "Cartella chiusa";
var odcTreeimgLeaf = "Cartella";
var odcTreeNoChildErr = "Questo nodo non dispone di alcun elemento secondario";
var odcTreeimgTerminal = "Nodo foglia";

//chart draw variables
var chartdraw_lblPie = "Torta";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "Linea";
var chartdraw_tooltipShare = "Condividi";
var chartdraw_tooltipSeries = "Serie";
var chartdraw_tooltipLabel = "Etichetta";
var chartdraw_tooltipValue = "Valore";
var chartdraw_msgPieChartError = "Il grafico a torta non pu\u00f2 essere disegnato.";
var chartdraw_lblShowAll = "Mostra tutte le serie";
var chartdraw_lblChartType = "Tipo di grafico";
var chartdraw_lblSeries = "Serie";
var no_data_series = "Non \u00e8 stata specificata alcuna serie di dati. Aggiungerne almeno una al grafico.";
var no_data_atttribute = "Non \u00e8 stato specificato alcun nome di attributo di dati per questa serie  - {0}. \nSelezionare un valido attributo di dati per questa serie.";
var no_label_attribute = "Non \u00e8 stato specificato alcun attributo di etichetta. \nSelezionare un valido attributo di etichetta.";
var no_group_operation_specified= "Non \u00e8 stata specificata alcuna operazione di gruppo per la serie: \n{0}.";
var invalid_group_operation = "Operazione di gruppo non valida {1} specificata per la serie {0}. \nLe operazioni di gruppo consentite sono - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Attributo etichetta non valido. \nSelezionare un valido attributo di etichetta.";
var invalid_data_atttribute = "\u00c8 stato specificato un nome attributo di dati non valido per la serie {0}. \nSelezionare un valido attributo di dati per questa serie.";
var invalid_series_attribute_data_type = "\u00c8 stato specificato un tipo di dati non valido per il nome di attributo nella serie {0}. \nIl grafico pu\u00f2 essere tracciato soltanto se i valori di attributo sono numerici o nel formato data";
var null_data_value = "La serie {0}. contiene valori nulli. \nIl grafico pu\u00f2 essere tracciato soltanto se i valori di attributo non contengono alcun valore nullo.";
var thousands_str = "migliaia";
var thousands10_str = "decine di migliaia";
var thousands100_str = "centinaia di migliaia";
var millions_str = "milioni";
var millions10_str = "decine di milioni";
var millions100_str = "centinaia di milioni";
var billions_str = "miliardi";
var billions10_str = "decine di miliardi";
var billions100_str = "centinaia di miliardi";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "I valori relativa alla lunghezza/contenuto della stringa non sono uguali a quelli relativi alla maschera ad essi applicata.";

//webservice
var error_mapping_output = "L'espressione di corrispondenza dei parametri di emissione specificata non \u00e8 valida";
var no_flash_component = "Impossibile trovare flash player richiesto";
var error_mapping_input = "L'espressione di corrispondenza dei parametri di immissione specificata non \u00e8 valida";
var error_accessing_flash = "Impossibile trovare flash player richiesto";

//progressbar
var start_load_model = "Inizio caricamento modello dati {0}";
var end_load_model = "Fine caricamento modello dati {0}";
var start_load_instance = "Inizio caricamento dati istanza del modello {0}";
var end_load_instance = "Fine caricamento dati istanza del modello {0}";
var start_render_control = "Inizio controllo rendering {0}";
var end_render_control = "Fine controllo rendering {0}";
var status_string =  "Stato: ";
var progressbar_header = "Pagina di caricamento";
var tabbed_panel = "Pannello a schede";
var datagrid = "Griglia dati";
var webservice = "Servizio web";
var treeview = "Vista ad albero";
var graphdraw = "Disegno grafico";

