//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "Error on propertybinder {0}: {1} ";
var invalid_value_OnPropertyBinderChange = "Invalid value {0} for type {1} ";

//eclass.js
var unable_create_object = "Unable to create eobject without model. ";
var name_notexist_model = "{0} does not exist in model for class {1}.";
var invalid_value_4type = "Invalid value {0} for type {1}.";
var maximum_size_allowed_attribute = "Maximum size allowed is {0} for attribute {1}";
var minimum_size_allowed_attribute = "Minimum size allowed is {0} for attribute {1}";
var maximum_size_allowed_reference = "Maximum size allowed is {0} for reference {1}";
var minimum_size_allowed_reference = "Minimum size allowed is {0} for reference {1}";

//eobject.js
var invalid_argument="Invalid argument.";
var xml_parse_error = "Xml error at Line: {0} Pos: {1} \nSource: {2} \nReason: {3}";
var missing_model = "Missing model.";
var reference_missing_inmodel = "Reference {0} for class {1} missing in model.";
var reference_not_class = "Reference {0} for class {1} is not a class.";
var reference_not_indocument = "Reference {0} from attribute {1} in object {2} not found in document.";
var class_missing_inmodel = "{0} for class {1} is missing in model."
var attributecalculate_missing_indata = "Attribute calculate {0} must not exist in data.";
var unable_create_object = "Unable to create eobject for property {0} without model.";
var invalid_property = "Invalid Property {0}";
var invalid_expression = "Invalid expression: {0}.{1}. ";
var property_cant_change = "Property {0} cannot be changed."

//ecreator.js
var unable_create_reference_nomodel = "Unable to add EReferences without model.";
var unable_create_reference_noreference = "Unable to add EReferences without reference information.";
var add_attribute_2nullclass = "Trying to add Attributes to a null EClass.";
var no_attribute_supply = "Trying to add Attributes to EClass '{0}', but no attribute is being supplied.";
var add_reference_2nullclass = "Trying to add EReferences to a null EClass.";
var mismatch_reference_length = "EClass '{0}' defines {1} references, but only {2} were passed.";

//calendarcontrol.js
var month_jan = "\u05d9\u05e0\u05d5\u05d0\u05e8";
var month_feb = "\u05e4\u05d1\u05e8\u05d5\u05d0\u05e8";
var month_mar = "\u05de\u05e8\u05e1";
var month_apr = "\u05d0\u05e4\u05e8\u05d9\u05dc";
var month_may = "\u05de\u05d0\u05d9";
var month_jun = "\u05d9\u05d5\u05e0\u05d9";
var month_jul = "\u05d9\u05d5\u05dc\u05d9";
var month_aug = "\u05d0\u05d5\u05d2\u05d5\u05e1\u05d8";
var month_sep = "\u05e1\u05e4\u05d8\u05de\u05d1\u05e8";
var month_oct = "\u05d0\u05d5\u05e7\u05d8\u05d5\u05d1\u05e8";
var month_nov = "\u05e0\u05d5\u05d1\u05de\u05d1\u05e8";
var month_dec = "\u05d3\u05e6\u05de\u05d1\u05e8";
var week_su = "\u05e8\u05d0\u05e9\u05d5\u05df";
var week_mo = "\u05e9\u05e0\u05d9";
var week_tu = "\u05e9\u05dc\u05d9\u05e9\u05d9";
var week_we = "\u05e8\u05d1\u05d9\u05e2\u05d9";
var week_th = "\u05d7\u05de\u05d9\u05e9\u05d9";
var week_fr = "\u05e9\u05d9\u05e9\u05d9";
var week_sa = "\u05e9\u05d1\u05ea";
var form_name_required = 'Form name is required parameter of draw method.';
var form_name_notfound = "Form with name '{0}' can't be found in the document.";
var invalid_date_format = "Invalid date format: '{0}'.\nFormat accepted is dd-mm-yyyy.";
var invalid_date_format_noday = "Invalid date format: '{0}'.\nNo day of month value can be found.";
var invalid_dayofmonth_value = "Invalid day of month value: '{0}'.\nAllowed values are unsigned integers."
var invalid_date_format_nomonth = "Invalid date format: '{0}'.\nNo month value can be found."
var invalid_month_value = "Invalid month value: '{0}'.\nAllowed values are unsigned integers.";
var invalid_date_format_noyear = "Invalid date format: '{0}'.\nNo year value can be found.";
var invalid_year_value = "Invalid year value: '{0}'.\nAllowed values are unsigned integers.";
var invalid_month12_value = "Invalid month value: '{0}'.\nAllowed range is 01-12.";
var invalid_dayofmonth_detail = "Invalid day of month value: '{0}'.\nAllowed range is 01-{1}.";



//datagridcontrol.js
var error_datagrid_action = "Error on datagrid action {0}: {1}";
var label_delete = "\u05de\u05d7\u05d9\u05e7\u05d4";
var label_add_newrow = "\u05d4\u05d5\u05e1\u05e4\u05ea \u05e9\u05d5\u05e8\u05d4 \u05d7\u05d3\u05e9\u05d4... ";
var label_previous = "<";
var label_next = ">";
var label_accept = "\u05e7\u05d1\u05dc\u05d4";
var label_cancel = "\u05d1\u05d9\u05d8\u05d5\u05dc";
var label_symbol = "\u05e1\u05de\u05dc";
var action_datagrid_addrow = "ADDROW";
var action_datagrid_removerow = "REMOVEROW";
var symbol = "\u05e1\u05de\u05dc";
var price = "\u05de\u05d7\u05d9\u05e8";
var quantity = "\u05db\u05de\u05d5\u05ea";
var total = "\u05e1\u05da \u05d4\u05db\u05dc";
var name = "\u05e9\u05dd";
var selectColName = "Select";
var odcDGImgPrevious = "click to go to previous page";
var odcDGImgFirst = "click to go to first page";
var odcDGImgNext = "click to to to next page";
var odcDGImgLast = "click to go to last page";
var odcDGImgGo = "click to go to the page you specify";
var odcDGSkipToMainContent = "skip to main content";



//currency.js
var add_mismatch_currencycode = "\u05e9\u05d2\u05d9\u05d0\u05d4: \u05d4\u05d5\u05e1\u05e4\u05ea \u05e1\u05db\u05d5\u05de\u05d9\u05dd \u05e2\u05dd \u05de\u05d8\u05d1\u05e2\u05d5\u05ea \u05e9\u05d5\u05e0\u05d9\u05dd. \u05e7\u05d5\u05d3 \u05d4\u05de\u05d8\u05d1\u05e2 \u05d4\u05e8\u05d0\u05e9\u05d5\u05df: {0} \u05e9\u05d5\u05e0\u05d4 \u05de\u05e7\u05d5\u05d3 \u05d4\u05de\u05d8\u05d1\u05e2 \u05d4\u05e9\u05e0\u05d9: {1}";
var subtract_mismatch_currencycode = "\u05e9\u05d2\u05d9\u05d0\u05d4: \u05d4\u05d7\u05e1\u05e8\u05ea \u05e1\u05db\u05d5\u05de\u05d9\u05dd \u05e2\u05dd \u05de\u05d8\u05d1\u05e2\u05d5\u05ea \u05e9\u05d5\u05e0\u05d9\u05dd. \u05e7\u05d5\u05d3 \u05d4\u05de\u05d8\u05d1\u05e2 \u05d4\u05e8\u05d0\u05e9\u05d5\u05df: {0} \u05e9\u05d5\u05e0\u05d4 \u05de\u05e7\u05d5\u05d3 \u05d4\u05de\u05d8\u05d1\u05e2 \u05d4\u05e9\u05e0\u05d9: {1}";

//NLSService.js
var invalid_date_format = "\u05d0\u05d9\u05df \u05de\u05d9\u05d3\u05e2 \u05d6\u05de\u05d9\u05df \u05e2\u05dc \u05de\u05d1\u05e0\u05d4 \u05d4\u05ea\u05d0\u05e8\u05d9\u05da. ";

//tabbedpanelcontrol.js
var label_tab_previous = "\u05d4\u05e7\u05d5\u05d3\u05dd";
var label_tab_next = "\u05d4\u05d1\u05d0";
var label_tab_finish = "\u05e1\u05d9\u05d5\u05dd";

//detectBrowser.js
var browser_not_support = "\u05d4\u05d3\u05e4\u05d3\u05e4\u05df {0} \u05e9\u05d1\u05d5 \u05d0\u05ea\u05dd \u05de\u05e9\u05ea\u05de\u05e9\u05d9\u05dd \u05d0\u05d9\u05e0\u05d5 \u05e0\u05ea\u05de\u05da \u05e2\u05dc \u05d9\u05d3\u05d9 \u05d9\u05d9\u05e9\u05d5\u05dd \u05d6\u05d4. ";

//treeControl.js
var odcTreeimgExpand = "click to expand node";
var odcTreeimgCollapse = "click to collapse node";
var odcTreeimgRootOpen = "opened root icon";
var odcTreeimgRootClose = "closed root icon";
var odcTreeimgFolderOpen = "expanded folder icon";
var odcTreeimgFolderNormal = "collapsed folder icon";
var odcTreeimgLeaf = "leaf icon";



//######################################################################################
//# The following lines are for date & time format. Please don't translate token which is
//# between "$$" and "$$ such as "$$YYYY$$". But you can move the token around based on the
//# locale.
//#######################################################################################

//for date & time formatting
var dateFormat="$$MM$/$$DD$/$$YYYY$";
timeFormat="$$HH$:$$MM$:$$SS$";
AM="AM";
PM="PM";

//chart draw variables
var chartdraw_pie="Pie";
var chartdraw_line="Line";
var chartdraw_bar="Bar";
var chartdraw_toolTipText_Label = "Label";
var chartdraw_toolTipText_Value = "Value";
var chartdraw_toolTipText_Share = "Share";
//######################################################################################
//# End Comments
//#######################################################################################

