//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

// ODCRegistry.js
// NLS_CHARSET=UTF-8

var webservice_not_found = "Web-tjenestekomponenten '{0}/{1}' ble ikke funnet";

//binder.js
var error_on_propertybinder = "Feil i egenskapsbindingsprogrammet {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Ugyldig verdi {0} for type {1}";

//eclass.js
var unable_create_object = "Kan ikke opprette e-objekt uten modell.";
var name_notexist_model = "{0} finnes ikke i modellen for klasse {1}.";
var invalid_value_4type = "Ugyldig verdi {0} for type {1}.";
var maximum_size_allowed_attribute = "St\u00f8rste tillatte st\u00f8rrelse er {0} for attributtet {1}";
var minimum_size_allowed_attribute = "Minste tillatte st\u00f8rrelse er {0} for attributtet {1}";
var maximum_size_allowed_reference = "St\u00f8rste tillatte st\u00f8rrelse er {0} for referansen {1}";
var minimum_size_allowed_reference = "Minste tillatte st\u00f8rrelse er {0} for referansen {1}";

//eobject.js
var invalid_argument="Ugyldig argument.";
var xml_parse_error = "XML-feil p\u00e5 linje: {0} Pos: {1} \nKilde: {2} \n\u00c5rsak: {3}";
var missing_model = "Modell mangler.";
var reference_missing_inmodel = "Mangler referanse {0} for klasse {1} i modell.";
var not_a_reference = "{0} er ikke en referanse for klasse {1}.";
var member_missing_inmodel = "Mangler komponent {0} for klasse {1} i modell.";
var member_not_eatt_or_eref_inmodel = "Komponent {0} for klasse {1} er ikke en e-attributt eller e-referanse i modellen.";
var member__inmodel = "Komponent {0} for klasse {1} er ikke en e-attributt eller e-referanse i modellen.";
var reference_not_class = "Referanse {0} for klasse {1} er ikke en klasse.";
var attribute_not_multivalue_inmodel = "attributtet {1} i klasse {2} er ikke flere verdier.";
var class_missing_inmodel = "Mangler {0} for klasse {1} i modellen."
var attributecalculate_missing_indata = "Attributtberegningen {0} kan ikke forekomme i data.";
var unable_create_object = "Kan ikke opprette e-objekt for egenskapen {0} uten modell.";
var invalid_property = "Ugyldig egenskap {0}";
var invalid_expression = "Ugyldig uttrykk: {0}.{1}.";
var property_cant_change = "Egenskapen {0} er et beregnet attributt eller et leseattributt som ikke kan endres."
var root_member_name_missing_error = "Mangler root-medlemsnavn for traversering av diagram";
var ecore_namespace_missing_error = "Mangler Ecore-navneomr\u00e5de for generering av diffgram";
var ereference_list_as_key_error ="Referanse {0} for klasse {1} har en kardinalitet som er st\u00f8rre enn 1, og kan ikke brukes som en del av en n\u00f8kkel.";
var multivalue_attr_as_key_error ="Attributt {0} for klasse {1} har en kardinalitet som er st\u00f8rre enn 1, og kan ikke brukes som en del av en n\u00f8kkel.";


//ecreator.js
var unable_create_reference_nomodel = "Kan ikke tilf\u00f8y e-referanse uten modell.";
var unable_create_reference_noreference = "Kan ikke tilf\u00f8ye e-referanse uten referanseinformasjon.";
var add_attribute_2nullclass = "Fors\u00f8ker \u00e5 tilf\u00f8ye attributter til en null-e-klasse.";
var no_attribute_supply = "Fors\u00f8ker \u00e5 tilf\u00f8ye attributter til e-klasse '{0}', men ingen attributt er oppgitt.";
var add_reference_2nullclass = "Fors\u00f8ker \u00e5 tilf\u00f8ye e-referanse til en null-e-klasse.";
var mismatch_reference_length = "e-klasse '{0}' definerer {1} referanser, men bare {2} ble sendt.";


//datagridcontrol.js
var error_datagrid_action = "Feil p\u00e5 datarutenetthandling {0}: {1}";
var label_delete = "Slett";
var label_add_newrow = "Tilf\u00f8y ny rad ...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Godta";
var label_cancel = "Avbryt";
var label_symbol = "symbol";
var action_datagrid_addrow = "tilf\u00f8yer rad";
var action_datagrid_removerow = "fjerner rad";
var action_datagrid_buildrow = "bygger rad";
var selectColName = "Velg";
var odcDGImgPrevious = "klikk for \u00e5 g\u00e5 til forrige side";
var odcDGImgFirst = "klikk for \u00e5 g\u00e5 til f\u00f8rste side";
var odcDGImgNext = "klikk for \u00e5 g\u00e5 til neste side";
var odcDGImgLast = "klikk for \u00e5 g\u00e5 til siste side";
var odcDGImgGo = "klikk for \u00e5 g\u00e5 til en side du angir";
var odcDGSkipToMainContent = "g\u00e5 videre til hovedinnhold";
var odcDGAscending = "stigende sortering";
var odcDGDescending = "synkende sortering";
var odcDGNavigationPage = "Side {0} av {1} ";
var odcDGNavigationJump = " G\u00e5 til side:  ";
var invalid_filter_expression = "Det angitte uttrykket {0} er ugyldig. Feilmeldingen er {1}";
var odcdgindexhead = "Rad #";
var odcDGSelection = "Valg";
var odcDGImgSelectAll = "Velg alle";
var odcDGImgUnSelectAll = "Opphev valg";
var odcDGImgAddRow = "Tilf\u00f8y en ny rad";
var odcDGImgDelRow = "Slett en rad";
var odcDGImgAcceptRow = "Godta";
var odcDGImgCancelRow = "Avbryt";


var action_obfcontrolrender_errormsg = "Denne kontrollen er ikke datamodell p\u00e5 klientsiden \neller datamodellen p\u00e5 klientsiden er null.";


//currency.js
var add_mismatch_currencycode = "Unntak: Ved tilf\u00f8ying av bel\u00f8p i forskjellig valuta. Den f\u00f8rste valutakoden {0} er forskjellig fra den andre valutakoden {1}";
var subtract_mismatch_currencycode = "Unntak: N\u00e5r bel\u00f8p i forskjellig valuta trekkes fra. Den f\u00f8rste valutakoden {0} er forskjellig fra den andre valutakoden {1}";

//NLSService.js
var invalid_date_format = "Informasjon om datoformat er ikke tilgjengelig.";
var invalid_date = "Datoen {0} er ikke en gyldig dato basert p\u00e5 det valgte formatet: {1}";
var invalid_time_format = "Informasjon om klokkeslettformatet er ikke tilgjengelig.";
var invalid_time = "Klokkeslettet {0} er ikke et gyldig klokkeslett basert p\u00e5 det valgte formatet: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Tilbake";
var label_tab_next = "Neste >";
var label_tab_cancel = "Avbryt";
var label_tab_finish = "Fullf\u00f8r";

//detectBrowser.js
var browser_not_support = "Nettleseren {0} st\u00f8ttes ikke i denne applikasjonen.";

//treeControl.js
var odcTreeimgExpand = "Klikk for \u00e5 utvide";
var odcTreeimgCollapse = "Klikk for \u00e5 komprimere";
var odcTreeimgFolderOpen = "\u00c5pen mappe";
var odcTreeimgFolderNormal = "Lukket mappe";
var odcTreeimgLeaf = "Mappe";
var odcTreeNoChildErr = "Denne noden har ingen underordnede noder tilgjengelig";
var odcTreeimgTerminal = "Bladnode";

//chart draw variables
var chartdraw_lblPie = "Sektordiagram";
var chartdraw_lblBar = "Stolpe";
var chartdraw_lblLine = "Linje";
var chartdraw_tooltipShare = "Felles";
var chartdraw_tooltipSeries = "Serie";
var chartdraw_tooltipLabel = "Etikett";
var chartdraw_tooltipValue = "Verdi";
var chartdraw_msgPieChartError = "Kan ikke tegne sektordiagram.";
var chartdraw_lblShowAll = "Vis alle serier";
var chartdraw_lblChartType = "Diagramtype";
var chartdraw_lblSeries = "Serie";
var no_data_series = "Det er ikke angitt dataserie. Tilf\u00f8y minst \u00e9n dataserie i diagrammet.";
var no_data_atttribute = "Det er ikke angitt dataattributtnavn for serien {0}. \nVelg et gyldig dataattributt for denne serien.";
var no_label_attribute = "Det er ikke angitt etikettattributt. \nVelg et gyldig etikettattributt.";
var no_group_operation_specified= "Det er ikke angitt gruppeoperasjon for serie: \n{0}.";
var invalid_group_operation = "Ugyldig gruppeoperasjon, {1} er angitt for serien {0}. \nTillatte gruppeoperasjoner er SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Ugyldig etikettattributt. \nVelg et gyldig etikettattributt.";
var invalid_data_atttribute = "Det er angitt et ugyldig dataattributtnavn for serien {0}. \nVelg et gyldig dataattributt for denne serien.";
var invalid_series_attribute_data_type = "Det er angitt ugyldig datatype for attributtnavnet i serien {0}. \nDiagrammet kan bare tegnes hvis attributtverdiene er tall eller datoer.";
var null_data_value = "Serien {0}. inneholder nullverdier. \nDiagrammet kan bare tegnes hvis attributtverdiene ikke inneholder nullverdier.";
var thousands_str = "tusener";
var thousands10_str = "titusener";
var thousands100_str = "hundretusener";
var millions_str = "millioner";
var millions10_str = "titalls millioner";
var millions100_str = "hundretalls millioner";
var billions_str = "milliarder";
var billions10_str = "titalls milliarder";
var billions100_str = "hundretalls milliarder";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "Lengden/inneholder i strenger stemmer ikke overens med den brukte masken";

//webservice
var error_mapping_output = "Du har angitt en ugyldig utdataparameter for tilordning av uttrykk.";
var no_flash_component = "Finner ikke den obligatoriske Flash-splilleren";
var error_mapping_input = "Du har angitt et ugyldig tilordningsuttrykk for inndataparameter";
var error_accessing_flash = "Finner ikke den obligatoriske Flash-splilleren";

//progressbar
var start_load_model = "Start innlasting av datamodell {0}";
var end_load_model = "Avslutt innlasting av datamodell {0}";
var start_load_instance = "Start innlasting av forekomstdata for modell {0}";
var end_load_instance = "Avslutt innlasting av forekomstdata for modell {0}";
var start_render_control = "Start gjengivelseskontroll {0}";
var end_render_control = "Avslutt gjengivelseskontroll {0}";
var status_string =  "Status : ";
var progressbar_header = "Laster inn side";
var tabbed_panel = "Rute med flipper";
var datagrid = "Datarutenett";
var webservice = "Web-tjeneste";
var treeview = "Treoversikt";
var graphdraw = "Diagramtegning";

