//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//ODCRegistry.js

var webservice_not_found = "\u627e\u4e0d\u5230 WebService \u5143\u4ef6 '{0}/{1}'";

//binder.js
var error_on_propertybinder = "\u5167\u5bb9\u9023\u7d50\u7a0b\u5f0f {0} \u767c\u751f\u932f\u8aa4\uff1a{1}";
var invalid_value_OnPropertyBinderChange = "\u985e\u578b {1} \u7684\u503c {0} \u7121\u6548";

//eclass.js
var unable_create_object = "\u6c92\u6709\u6a21\u578b\uff0c\u7121\u6cd5\u5efa\u7acb eobject\u3002";
var name_notexist_model = "{0} \u4e0d\u5728\u985e\u5225 {1} \u7684\u6a21\u578b\u4e2d\u3002";
var invalid_value_4type = "\u985e\u578b {1} \u7684\u503c {0} \u7121\u6548\u3002";
var maximum_size_allowed_attribute = "\u4ee5\u5c6c\u6027 {1} \u800c\u8a00\uff0c\u5bb9\u8a31\u7684\u5927\u5c0f\u4e0a\u9650\u70ba {0}";
var minimum_size_allowed_attribute = "\u4ee5\u5c6c\u6027 {1} \u800c\u8a00\uff0c\u5bb9\u8a31\u7684\u5927\u5c0f\u4e0b\u9650\u70ba {0}";
var maximum_size_allowed_reference = "\u4ee5\u53c3\u7167 {1} \u800c\u8a00\uff0c\u5bb9\u8a31\u7684\u5927\u5c0f\u4e0a\u9650\u70ba {0}";
var minimum_size_allowed_reference = "\u4ee5\u53c3\u7167 {1} \u800c\u8a00\uff0c\u5bb9\u8a31\u7684\u5927\u5c0f\u4e0b\u9650\u70ba {0}";

//eobject.js
var invalid_argument="\u5f15\u6578\u7121\u6548\u3002";
var xml_parse_error = "\u7b2c {0} \u884c\u3001\u4f4d\u7f6e {1} \u4e0a\u767c\u751f Xml \u932f\u8aa4 \n\u4f86\u6e90\uff1a{2} \n\u539f\u56e0\uff1a{3}";
var missing_model = "\u907a\u6f0f\u6a21\u578b\u3002";
var reference_missing_inmodel = "\u6a21\u578b\u4e2d\u907a\u6f0f\u985e\u5225 {1} \u7684\u53c3\u7167 {0}\u3002";
var not_a_reference = "{0} \u4e0d\u662f\u985e\u5225 {1} \u7684\u53c3\u7167\u3002";
var member_missing_inmodel = "\u6a21\u578b\u4e2d\u907a\u6f0f\u985e\u5225 {1} \u7684\u6210\u54e1 {0}\u3002";
var member_not_eatt_or_eref_inmodel = "\u985e\u5225 {1} \u7684\u6210\u54e1 {0} \u65e2\u975e\u6a21\u578b\u4e2d\u7684 eattribute \u4ea6\u975e ereference\u3002";
var member__inmodel = "\u985e\u5225 {1} \u7684\u6210\u54e1 {0} \u65e2\u975e\u6a21\u578b\u4e2d\u7684 eattribute \u4ea6\u975e ereference\u3002";
var reference_not_class = "\u985e\u5225 {1} \u7684\u53c3\u7167 {0} \u4e0d\u662f\u985e\u5225\u3002";
var attribute_not_multivalue_inmodel = "\u985e\u5225 {2} \u4e2d\u7684\u5c6c\u6027 {1} \u4e0d\u63a5\u53d7\u591a\u91cd\u503c\u3002";
var class_missing_inmodel = "\u6a21\u578b\u4e2d\u907a\u6f0f\u985e\u5225 {1} \u7684 {0}\u3002"
var attributecalculate_missing_indata = "\u5c6c\u6027\u8a08\u7b97 {0} \u7d55\u4e0d\u53ef\u5728\u8cc7\u6599\u4e2d\u3002";
var unable_create_object = "\u6c92\u6709\u6a21\u578b\uff0c\u7121\u6cd5\u5efa\u7acb\u5167\u5bb9 {0} \u7684 eobject\u3002";
var invalid_property = "\u7121\u6548\u7684\u5167\u5bb9 {0}";
var invalid_expression = "\u7121\u6548\u7684\u8868\u793a\u5f0f\uff1a{0}.{1}\u3002";
var property_cant_change = "\u5167\u5bb9 {0} \u662f\u8a08\u7b97\u5c6c\u6027\u6216\u7121\u6cd5\u8b8a\u66f4\u7684\u300c\u552f\u8b80\u300d\u5c6c\u6027\u3002"
var root_member_name_missing_error = "\u907a\u6f0f\u904d\u8a2a\u5716\u5f62\u7684\u6839\u6210\u54e1\u540d\u7a31";
var ecore_namespace_missing_error = "\u907a\u6f0f\u7528\u65bc\u7522\u751f diffgram \u7684 Ecore \u540d\u7a31\u7a7a\u9593";
var ereference_list_as_key_error ="\u985e\u5225 {1} \u7684\u53c3\u7167 {0} \u5177\u6709\u5927\u65bc 1 \u7684\u57fa\u6578\uff0c\u4e0d\u5bb9\u8a31\u7528\u4f86\u4f5c\u70ba\u7d22\u5f15\u9375\u7684\u4e00\u90e8\u5206\u3002";
var multivalue_attr_as_key_error ="\u985e\u5225 {1} \u7684\u5c6c\u6027 {0} \u5177\u6709\u5927\u65bc 1 \u7684\u57fa\u6578\uff0c\u4e0d\u5bb9\u8a31\u7528\u4f86\u4f5c\u70ba\u7d22\u5f15\u9375\u7684\u4e00\u90e8\u5206\u3002";


//ecreator.js
var unable_create_reference_nomodel = "\u6c92\u6709\u6a21\u578b\uff0c\u7121\u6cd5\u65b0\u589e ereferences\u3002";
var unable_create_reference_noreference = "\u6c92\u6709\u53c3\u7167\u8cc7\u8a0a\uff0c\u7121\u6cd5\u65b0\u589e ereferences\u3002";
var add_attribute_2nullclass = "\u5617\u8a66\u5c07\u5c6c\u6027\u65b0\u589e\u81f3\u7a7a\u503c eclass \u4e2d\u3002";
var no_attribute_supply = "\u5617\u8a66\u5c07\u5c6c\u6027\u65b0\u589e\u81f3 eclass '{0}' \u4e2d\uff0c\u4f46\u6c92\u6709\u63d0\u4f9b\u5c6c\u6027\u3002";
var add_reference_2nullclass = "\u5617\u8a66\u5c07 ereferences \u65b0\u589e\u81f3\u7a7a\u503c eclass\u3002";
var mismatch_reference_length = "eclass '{0}' \u5b9a\u7fa9 {1} \u53c3\u7167\uff0c\u4f46\u53ea\u50b3\u905e\u4e86 {2}\u3002";


//datagridcontrol.js
var error_datagrid_action = "\u8cc7\u6599\u683c\u7dda\u52d5\u4f5c {0} \u4e0a\u767c\u751f\u932f\u8aa4\uff1a{1}";
var label_delete = "\u522a\u9664";
var label_add_newrow = "\u65b0\u589e\u5217...";
var label_previous = "<";
var label_next = ">";
var label_accept = "\u63a5\u53d7";
var label_cancel = "\u53d6\u6d88";
var label_symbol = "\u7b26\u865f";
var action_datagrid_addrow = "\u65b0\u589e\u5217";
var action_datagrid_removerow = "\u79fb\u9664\u5217";
var action_datagrid_buildrow = "\u5efa\u7f6e\u5217";
var selectColName = "\u9078\u53d6";
var odcDGImgPrevious = "\u6309\u4e00\u4e0b\u8fd4\u56de\u4e0a\u9801";
var odcDGImgFirst = "\u6309\u4e00\u4e0b\u79fb\u81f3\u9996\u9801";
var odcDGImgNext = "\u6309\u4e00\u4e0b\u79fb\u81f3\u4e0b\u4e00\u9801";
var odcDGImgLast = "\u6309\u4e00\u4e0b\u79fb\u81f3\u672b\u9801";
var odcDGImgGo = "\u6309\u4e00\u4e0b\u79fb\u81f3\u6307\u5b9a\u9801";
var odcDGSkipToMainContent = "\u8df3\u5230\u4e3b\u8981\u5167\u5bb9";
var odcDGAscending = "\u5347\u51aa\u6392\u5e8f";
var odcDGDescending = "\u964d\u51aa\u6392\u5e8f";
var odcDGNavigationPage = " \u7b2c {0} / {1} \u9801";
var odcDGNavigationJump = "\u8df3\u81f3\u9801\u9762\uff1a";
var invalid_filter_expression = "\u60a8\u6307\u5b9a\u7684\u8868\u793a\u5f0f {0} \u7121\u6548\uff0c\u932f\u8aa4\u8a0a\u606f\u70ba {1}";
var odcdgindexhead = "\u5217\u865f";
var odcDGSelection = "\u9078\u9805";
var odcDGImgSelectAll = "\u5168\u9078";
var odcDGImgUnSelectAll = "\u53d6\u6d88\u5168\u9078";
var odcDGImgAddRow = "\u65b0\u589e\u5217";
var odcDGImgDelRow = "\u522a\u9664\u5217";
var odcDGImgAcceptRow = "\u63a5\u53d7";
var odcDGImgCancelRow = "\u53d6\u6d88";
var odcDGShowAllCols = "\u986f\u793a\u5168\u90e8\u76f4\u6b04";
var odcDGHideCol = "\u96b1\u85cf\u76f4\u6b04";


var action_obfcontrolrender_errormsg = "\u9019\u500b\u63a7\u5236\u9805\u672a\u9023\u7d50\u81f3\u4efb\u4f55\u7528\u6236\u7aef\u8cc7\u6599\u6a21\u578b\uff0c\n\u6216\u7528\u6236\u7aef\u8cc7\u6599\u6a21\u578b\u662f\u7a7a\u503c\u3002";


//currency.js
var add_mismatch_currencycode = "\u7570\u5e38\u72c0\u6cc1\uff1a\u76f8\u52a0\u4e0d\u540c\u8ca8\u5e63\u7684\u7e3d\u984d\u3002\u7b2c\u4e00\u8ca8\u5e63\u78bc {0} \u8207\u7b2c\u4e8c\u8ca8\u5e63\u78bc {1} \u4e0d\u540c";
var subtract_mismatch_currencycode = "\u7570\u5e38\u72c0\u6cc1\uff1a\u76f8\u6e1b\u4e0d\u540c\u8ca8\u5e63\u7684\u7e3d\u984d\u3002\u7b2c\u4e00\u8ca8\u5e63\u78bc {0} \u8207\u7b2c\u4e8c\u8ca8\u5e63\u78bc {1} \u4e0d\u540c";

//NLSService.js
var invalid_date_format = "\u6c92\u6709\u53ef\u7528\u7684\u65e5\u671f\u683c\u5f0f\u8cc7\u8a0a\u3002";
var invalid_date = "\u4f9d\u64da\u60a8\u6240\u9078\u64c7\u7684\u683c\u5f0f {1}\uff0c\u65e5\u671f {0} \u4e0d\u662f\u6709\u6548\u7684\u65e5\u671f";
var invalid_time_format = "\u6c92\u6709\u53ef\u7528\u7684\u6642\u9593\u683c\u5f0f\u8cc7\u8a0a\u3002";
var invalid_time = "\u4f9d\u64da\u60a8\u6240\u9078\u64c7\u7684\u683c\u5f0f {1}\uff0c\u6642\u9593 {0} \u4e0d\u662f\u6709\u6548\u7684\u6642\u9593";

//tabbedpanelcontrol.js
var label_tab_previous = "< \u4e0a\u4e00\u6b65";
var label_tab_next = "\u4e0b\u4e00\u6b65 >";
var label_tab_cancel = "\u53d6\u6d88";
var label_tab_finish = "\u5b8c\u6210";

//detectBrowser.js
var browser_not_support = "\u9019\u500b\u61c9\u7528\u7a0b\u5f0f\u4e2d\u4e0d\u652f\u63f4\u60a8\u5728\u4f7f\u7528\u7684\u700f\u89bd\u5668 {0}\u3002";

//treeControl.js
var odcTreeimgExpand = "\u6309\u4e00\u4e0b\u5c55\u958b";
var odcTreeimgCollapse = "\u6309\u4e00\u4e0b\u6536\u5408";
var odcTreeimgFolderOpen = "\u958b\u555f\u7684\u8cc7\u6599\u593e";
var odcTreeimgFolderNormal = "\u95dc\u9589\u7684\u8cc7\u6599\u593e";
var odcTreeimgLeaf = "\u8cc7\u6599\u593e";
var odcTreeNoChildErr = "\u9019\u500b\u7bc0\u9ede\u6c92\u6709\u5b50\u7bc0\u9ede";
var odcTreeimgTerminal = "\u8449\u7bc0\u9ede";

//chart draw variables
var chartdraw_lblPie = "\u5713\u9905\u5716";
var chartdraw_lblBar = "\u9577\u689d\u5716";
var chartdraw_lblLine = "\u7dda\u689d";
var chartdraw_tooltipShare = "\u5171\u7528";
var chartdraw_tooltipSeries = "\u7cfb\u5217";
var chartdraw_tooltipLabel = "\u6a19\u7c64";
var chartdraw_tooltipValue = "\u503c";
var chartdraw_msgPieChartError = "\u7121\u6cd5\u7e6a\u88fd\u5713\u9905\u5716\u3002";
var chartdraw_lblShowAll = "\u986f\u793a\u6240\u6709\u7cfb\u5217";
var chartdraw_lblChartType = "\u5716\u8868\u985e\u578b";
var chartdraw_lblSeries = "\u7cfb\u5217";
var no_data_series = "\u672a\u6307\u5b9a\u8cc7\u6599\u7cfb\u5217\u3002\u8acb\u5c07\u81f3\u5c11\u4e00\u500b\u8cc7\u6599\u7cfb\u5217\u52a0\u5165\u5716\u5f62\u3002";
var no_data_atttribute = "\u672a\u5c0d\u7cfb\u5217 {0} \u6307\u5b9a\u8cc7\u6599\u5c6c\u6027\u540d\u7a31\u3002\n\u8acb\u70ba\u9019\u500b\u7cfb\u5217\u9078\u53d6\u6709\u6548\u7684\u8cc7\u6599\u5c6c\u6027\u3002";
var no_label_attribute = "\u672a\u6307\u5b9a\u6a19\u7c64\u5c6c\u6027\u3002\n\u8acb\u9078\u53d6\u6709\u6548\u7684\u6a19\u7c64\u5c6c\u6027\u3002";
var no_group_operation_specified= "\u672a\u5c0d\u4e0b\u5217\u7cfb\u5217\u6307\u5b9a\u7fa4\u7d44\u4f5c\u696d\uff1a\n{0}\u3002";
var invalid_group_operation = "\u6307\u5b9a\u7d66\u7cfb\u5217 {0} \u7684\u7fa4\u7d44\u4f5c\u696d {1} \u7121\u6548\u3002 \n\u5bb9\u8a31\u7684\u7fa4\u7d44\u4f5c\u696d\u70ba - SUM\u3001AVG\u3001COUNT\u3001MAX\u3001MIN\u3001FIRST\u3001LAST\u3002";
var invalid_label_attribute = "\u6a19\u7c64\u5c6c\u6027\u7121\u6548\u3002\n\u8acb\u9078\u53d6\u6709\u6548\u7684\u6a19\u7c64\u5c6c\u6027\u3002";
var invalid_data_atttribute = "\u5c0d\u7cfb\u5217 {0} \u6307\u5b9a\u4e86\u7121\u6548\u7684\u8cc7\u6599\u5c6c\u6027\u540d\u7a31\u3002\n\u8acb\u70ba\u9019\u500b\u7cfb\u5217\u9078\u53d6\u6709\u6548\u7684\u8cc7\u6599\u5c6c\u6027\u3002";
var invalid_series_attribute_data_type = "\u6307\u5b9a\u7d66\u7cfb\u5217 {0} \u4e2d\u7684\u5c6c\u6027\u540d\u7a31\u4e4b\u8cc7\u6599\u985e\u578b\u7121\u6548\u3002\n\u53ea\u6709\u5c6c\u6027\u503c\u662f\u6578\u5b57\u6216\u65e5\u671f\u6642\uff0c\u624d\u80fd\u7e6a\u88fd\u5716\u5f62\u3002";
var null_data_value = "\u6578\u5217 - {0} \u5305\u542b\u7a7a\u503c\u3002\n\u5c6c\u6027\u503c\u5fc5\u9808\u4e0d\u542b\u4efb\u4f55\u7a7a\u503c\uff0c\u624d\u80fd\u7e6a\u88fd\u5716\u5f62\u3002";
var thousands_str = "\u5343";
var thousands10_str = "\u842c";
var thousands100_str = "\u5341\u842c";
var millions_str = "\u767e\u842c";
var millions10_str = "\u5343\u842c";
var millions100_str = "\u5104";
var billions_str = "\u5341\u5104";
var billions10_str = "\u767e\u5104";
var billions100_str = "\u5343\u5104";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "\u5b57\u4e32\u7684\u9577\u5ea6/\u5167\u5bb9\u8207\u5957\u7528\u81f3\u5b57\u4e32\u7684\u906e\u7f69\u4e0d\u7b26\u5408\u3002";

//webservice
var error_mapping_output = "\u60a8\u6307\u5b9a\u7684\u8f38\u51fa\u53c3\u6578\u5c0d\u6620\u8868\u793a\u5f0f\u7121\u6548\u3002";
var no_flash_component = "\u7121\u6cd5\u627e\u5230\u6240\u9700\u7684 Flash \u64ad\u653e\u7a0b\u5f0f";
var error_mapping_input = "\u60a8\u6307\u5b9a\u7684\u8f38\u5165\u53c3\u6578\u5c0d\u6620\u8868\u793a\u5f0f\u7121\u6548\u3002";
var error_accessing_flash = "\u7121\u6cd5\u627e\u5230\u6240\u9700\u7684 Flash \u64ad\u653e\u7a0b\u5f0f";

//progressbar
var start_load_model = "\u958b\u59cb\u8f09\u5165\u8cc7\u6599\u6a21\u578b {0}";
var end_load_model = "\u7d50\u675f\u8f09\u5165\u8cc7\u6599\u6a21\u578b {0}";
var start_load_instance = "\u958b\u59cb\u8f09\u5165\u6a21\u578b {0} \u7684\u5be6\u4f8b\u8cc7\u6599";
var end_load_instance = "\u7d50\u675f\u8f09\u5165\u6a21\u578b {0} \u7684\u5be6\u4f8b\u8cc7\u6599";
var start_render_control = "\u958b\u59cb\u5448\u73fe\u63a7\u5236\u9805 {0}";
var end_render_control = "\u7d50\u675f\u5448\u73fe\u63a7\u5236\u9805 {0}";
var status_string =  "\u72c0\u614b\uff1a";
var progressbar_header = "\u8f09\u5165\u9801\u9762";
var tabbed_panel = "\u6a19\u7c64\u756b\u9762";
var datagrid = "\u8cc7\u6599\u683c\u7dda";
var webservice = "Web \u670d\u52d9";
var treeview = "\u6a39\u72c0\u8996\u5716";
var graphdraw = "\u5716\u5f62\u7e6a\u88fd";

//xmldata
var invalid_param = "\u5fc5\u8981\u7684\u53c3\u6578 '{0}' \u662f\u7a7a\u503c\u6216 'undefined'";
var invalid_param_type = "\u53c3\u6578 '{0}' \u7684\u985e\u578b\u7121\u6548";
var xmldata_not_element = "XMLData \u7269\u4ef6\u5fc5\u9808\u4ee3\u8868 'element' \u985e\u578b\u7684\u7bc0\u9ede";
var invalid_index = "\u7d22\u5f15\u8d85\u51fa\u754c\u9650";
var xml_str_type = "XMLData \u53ea\u80fd\u5305\u542b\u4ee3\u8868 'element'\u3001'comment'\u3001'attribute' \u6216 'text' \u985e\u578b\u7bc0\u9ede\u7684\u7269\u4ef6";
