//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

// ODCRegistry.js
// NLS_CHARSET=UTF-8

var webservice_not_found = "WebService-komponenttia {0}/{1} ei l\u00f6ytynyt ";

//binder.js
var error_on_propertybinder = "Virhe ominaisuuden sidostoiminnossa {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Ep\u00e4kelpo arvo {0} lajissa {1}";

//eclass.js
var unable_create_object = "Eobject-kohteen luonti ei onnistunut ilman mallia.";
var name_notexist_model = "Kohdetta {0} ei ole luokan {1} mallissa.";
var invalid_value_4type = "Ep\u00e4kelpo arvo {0} lajissa {1}.";
var maximum_size_allowed_attribute = "M\u00e4\u00e4ritteen {1} sallittu enimm\u00e4iskoko on {0}";
var minimum_size_allowed_attribute = "M\u00e4\u00e4ritteen {1} sallittu v\u00e4himm\u00e4iskoko on {0}";
var maximum_size_allowed_reference = "Viitteen {1} sallittu enimm\u00e4iskoko on {0}";
var minimum_size_allowed_reference = "Viitteen {1} sallittu v\u00e4himm\u00e4iskoko on {0}";

//eobject.js
var invalid_argument="Ep\u00e4kelpo argumentti.";
var xml_parse_error = "XML-virhe; Rivi: {0} Kohta: {1} \nL\u00e4hde: {2} \nSyy: {3}";
var missing_model = "Malli puuttuu.";
var reference_missing_inmodel = "Luokan {1} viite {0} puuttuu mallista.";
var not_a_reference = "{0} ei ole luokan {1} viite.";
var member_missing_inmodel = "Luokan {1} j\u00e4sen {0} puuttuu mallista.";
var member_not_eatt_or_eref_inmodel = "Luokan {1} j\u00e4sen {0} ei ole mallin eattribute-m\u00e4\u00e4rite tai ereference-viite.";
var member__inmodel = "Luokan {1} j\u00e4sen {0} ei ole mallin eattribute-m\u00e4\u00e4rite tai ereference-viite.";
var reference_not_class = "Luokan {1} viite {0} ei ole luokka.";
var attribute_not_multivalue_inmodel = "luokan {2} m\u00e4\u00e4rite {1} ei salli moniosaisia arvoja.";
var class_missing_inmodel = "Luokan {1} kohde {0} puuttuu mallista."
var attributecalculate_missing_indata = "M\u00e4\u00e4ritteen laskentaa {0} ei saa olla tiedoissa.";
var unable_create_object = "Ominaisuuden {0} eobject-kohteen luonti ei onnistunut ilman mallia.";
var invalid_property = "Ep\u00e4kelpo ominaisuus {0}";
var invalid_expression = "Ep\u00e4kelpo lauseke: {0}.{1}.";
var property_cant_change = "Ominaisuus {0} on laskettu m\u00e4\u00e4rite tai lukum\u00e4\u00e4rite, jota ei voi muuttaa."
var root_member_name_missing_error = "Verkon l\u00e4pik\u00e4yntiin tarvittava juurihakemiston j\u00e4senen nimi puuttuu";
var ecore_namespace_missing_error = "Diffgram-muutostietojen luontiin tarvittava ecore-nimitila puuttuu";
var ereference_list_as_key_error ="Luokan {1} viitteen {0} kardinaliteetti on suurempi kuin 1 eik\u00e4 sit\u00e4 voi k\u00e4ytt\u00e4\u00e4 avaimen osana.";
var multivalue_attr_as_key_error ="Luokan {1} m\u00e4\u00e4ritteen {0} kardinaliteetti on suurempi kuin 1 eik\u00e4 sit\u00e4 voi k\u00e4ytt\u00e4\u00e4 avaimen osana.";


//ecreator.js
var unable_create_reference_nomodel = "Ereference-viitteiden lis\u00e4ys ei onnistu ilman mallia.";
var unable_create_reference_noreference = "Ereference-viitteiden lis\u00e4ys ei onnistu ilman viitetietoja.";
var add_attribute_2nullclass = "Yritet\u00e4\u00e4n lis\u00e4t\u00e4 m\u00e4\u00e4ritteit\u00e4 tyhj\u00e4\u00e4n eclass-luokkaan.";
var no_attribute_supply = "Yritet\u00e4\u00e4n lis\u00e4t\u00e4 m\u00e4\u00e4ritteit\u00e4 eclass-luokkaan {0}, mutta m\u00e4\u00e4ritteit\u00e4 ei ole annettu.";
var add_reference_2nullclass = "Yritet\u00e4\u00e4n lis\u00e4t\u00e4 ereference-viitteit\u00e4 tyhj\u00e4\u00e4n eclass-luokkaan.";
var mismatch_reference_length = "Eclass-luokka {0} m\u00e4\u00e4ritt\u00e4\u00e4 {1} viitett\u00e4, mutta vain {2} on v\u00e4litetty.";


//datagridcontrol.js
var error_datagrid_action = "virhe dataruudukkotoiminnossa {0}: {1}";
var label_delete = "Poista";
var label_add_newrow = "Lis\u00e4\u00e4 uusi rivi...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Vahvista";
var label_cancel = "Peruuta";
var label_symbol = "symboli";
var action_datagrid_addrow = "rivin lis\u00e4ys";
var action_datagrid_removerow = "rivin poisto";
var action_datagrid_buildrow = "muodostetaan rivi\u00e4";
var selectColName = "Valitse";
var odcDGImgPrevious = "siirry edelliselle sivulle napsauttamalla t\u00e4t\u00e4";
var odcDGImgFirst = "siirry ensimm\u00e4iselle sivulle napsauttamalla t\u00e4t\u00e4";
var odcDGImgNext = "siirry seuraavalle sivulle napsauttamalla t\u00e4t\u00e4";
var odcDGImgLast = "siirry viimeiselle sivulle napsauttamalla t\u00e4t\u00e4";
var odcDGImgGo = "siirry haluamallesi sivulle napsauttamalla t\u00e4t\u00e4";
var odcDGSkipToMainContent = "siirry p\u00e4\u00e4sis\u00e4lt\u00f6\u00f6n";
var odcDGAscending = "nouseva lajittelu";
var odcDGDescending = "laskeva lajittelu";
var odcDGNavigationPage = " Sivu {0}/{1} ";
var odcDGNavigationJump = "Siirry sivulle:  ";
var invalid_filter_expression = "Lauseke, jonka m\u00e4\u00e4ritit {0}, on virheellinen, virhesanoma on {1}";
var odcdgindexhead = "Rivi #";
var odcDGSelection = "Valinta";
var odcDGImgSelectAll = "Valitse kaikki";
var odcDGImgUnSelectAll = "Poista kaikkien valinta";
var odcDGImgAddRow = "Lis\u00e4\u00e4 uusi rivi";
var odcDGImgDelRow = "Poista rivi";
var odcDGImgAcceptRow = "Vahvista";
var odcDGImgCancelRow = "Peruuta";


var action_obfcontrolrender_errormsg = "T\u00e4t\u00e4 ohjausobjektia ei ole sidottu mihink\u00e4\u00e4n ty\u00f6aseman tietomalliin \ntai ty\u00f6aseman tietomalli on tyhj\u00e4.";


//currency.js
var add_mismatch_currencycode = "Poikkeus: eri valuuttojen yhteenlasku. Ensimm\u00e4inen valuuttakoodi {0} poikkeaa toisesta valuuttakoodista {1}.";
var subtract_mismatch_currencycode = "Poikkeus: eri valuuttojen v\u00e4hennyslasku. Ensimm\u00e4inen valuuttakoodi ({0}) poikkeaa toisesta valuuttakoodista ({1}).";

//NLSService.js
var invalid_date_format = "P\u00e4iv\u00e4m\u00e4\u00e4r\u00e4n muototietoja ei ole.";
var invalid_date = "P\u00e4iv\u00e4m\u00e4\u00e4r\u00e4 {0} ei ole valitun p\u00e4iv\u00e4m\u00e4\u00e4r\u00e4muodon {1} mukainen kelvollinen p\u00e4iv\u00e4m\u00e4\u00e4r\u00e4.";
var invalid_time_format = "Kellonajan muototietoja ei ole.";
var invalid_time = "Kellonaika {0} ei ole valitun kellonajan muodon {1} mukainen kelvollinen aika.";

//tabbedpanelcontrol.js
var label_tab_previous = "< Edellinen";
var label_tab_next = "Seuraava >";
var label_tab_cancel = "Peruuta";
var label_tab_finish = "Valmis";

//detectBrowser.js
var browser_not_support = "Sovellus ei tue k\u00e4yt\u00f6ss\u00e4 olevaa selainta {0}.";

//treeControl.js
var odcTreeimgExpand = "Laajenna napsauttamalla t\u00e4t\u00e4";
var odcTreeimgCollapse = "Piilota napsauttamalla t\u00e4t\u00e4";
var odcTreeimgFolderOpen = "Avattu kansio";
var odcTreeimgFolderNormal = "Suljettu kansio";
var odcTreeimgLeaf = "Kansio";
var odcTreeNoChildErr = "T\u00e4h\u00e4n solmuun ei liity aliobjekteja";
var odcTreeimgTerminal = "P\u00e4\u00e4tesolmu";

//chart draw variables
var chartdraw_lblPie = "Ympyr\u00e4kaavio";
var chartdraw_lblBar = "Pylv\u00e4skaavio";
var chartdraw_lblLine = "Viivakaavio";
var chartdraw_tooltipShare = "Osuus";
var chartdraw_tooltipSeries = "Sarjat";
var chartdraw_tooltipLabel = "Nimi\u00f6";
var chartdraw_tooltipValue = "Arvo";
var chartdraw_msgPieChartError = "Ympyr\u00e4kaavion piirto ei onnistunut.";
var chartdraw_lblShowAll = "N\u00e4yt\u00e4 kaikki sarjat";
var chartdraw_lblChartType = "Kaaviolaji";
var chartdraw_lblSeries = "Sarjat";
var no_data_series = "Tietosarjaa ei ole m\u00e4\u00e4ritetty. Lis\u00e4\u00e4 ainakin yksi tietosarja kuvioon.";
var no_data_atttribute = "Sarjalle {0} ei ole m\u00e4\u00e4ritetty tiedon m\u00e4\u00e4ritteen nime\u00e4. \nValitse sarjalle kelvollinen tiedon m\u00e4\u00e4rite.";
var no_label_attribute = "Nimi\u00f6m\u00e4\u00e4ritett\u00e4 ei ole m\u00e4\u00e4ritetty. \nValitse kelvollinen nimi\u00f6m\u00e4\u00e4rite.";
var no_group_operation_specified= "Seuraavalle sarjalle ei ole m\u00e4\u00e4ritetty ryhm\u00e4toimintoa: \n{0}.";
var invalid_group_operation = "Virheellinen ryhm\u00e4toiminto - {1} - on m\u00e4\u00e4ritetty sarjalle - {0}. \nSallitut ryhm\u00e4toiminnot ovat - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Virheellinen nimi\u00f6m\u00e4\u00e4rite. \nValitse kelvollinen nimi\u00f6m\u00e4\u00e4rite.";
var invalid_data_atttribute = "Sarjan {0} tiedon m\u00e4\u00e4ritteen nimi ei ole kelvollinen. \nValitse sarjalle kelvollinen tiedon m\u00e4\u00e4rite.";
var invalid_series_attribute_data_type = "Sarjan {0} m\u00e4\u00e4ritteen nimen tietolaji ei ole kelvollinen. \nKaavio voidaan piirt\u00e4\u00e4 vain, jos m\u00e4\u00e4ritteen arvot ovat numeroita tai p\u00e4iv\u00e4m\u00e4\u00e4ri\u00e4.";
var null_data_value = "Sarja {0} sis\u00e4lt\u00e4\u00e4 tyhj\u00e4arvoja. \nKaavio voidaan piirt\u00e4\u00e4 vain, jos m\u00e4\u00e4ritteen arvot eiv\u00e4t sis\u00e4ll\u00e4 tyhj\u00e4arvoja.";
var thousands_str = "tuhannet";
var thousands10_str = "kymmenet tuhannet";
var thousands100_str = "sadat tuhannet";
var millions_str = "miljoonat";
var millions10_str = "kymmenet miljoonat";
var millions100_str = "sadat miljoonat";
var billions_str = "miljardit";
var billions10_str = "kymmenet miljardit";
var billions100_str = "sadat miljardit";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "Merkkijonon pituus tai sis\u00e4lt\u00f6 ei vastaa siihen m\u00e4\u00e4ritetty\u00e4 peitett\u00e4.";

//webservice
var error_mapping_output = "Antamasi tulosparametrin m\u00e4\u00e4rityslauseke on virheellinen.";
var no_flash_component = "Tarvittavaa Flash player -ohjelmaa ei l\u00f6ydy.";
var error_mapping_input = "Antamasi sy\u00f6teparametrin m\u00e4\u00e4rityslauseke on virheellinen.";
var error_accessing_flash = "Tarvittavaa Flash player -ohjelmaa ei l\u00f6ydy.";

//progressbar
var start_load_model = "Tietomallin {0} lataus on k\u00e4ynnistynyt.";
var end_load_model = "Tietomallin {0} lataus on p\u00e4\u00e4ttynyt.";
var start_load_instance = "Mallin {0} ilmentym\u00e4n tietojen lataus on k\u00e4ynnistynyt.";
var end_load_instance = "Mallin {0} ilmentym\u00e4n tietojen lataus on p\u00e4\u00e4ttynyt.";
var start_render_control = "Luontiohjaus {0} on k\u00e4ynnistynyt.";
var end_render_control = "Luontiohjaus {0} on p\u00e4\u00e4ttynyt.";
var status_string =  "Tila : ";
var progressbar_header = "Sivun lataus";
var tabbed_panel = "V\u00e4lilehtiruutu";
var datagrid = "Tietoruudukko";
var webservice = "Web Service";
var treeview = "Rakenne-esitys";
var graphdraw = "Kaaviopiirros";

