//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

// ODCRegistry.js
// NLS_CHARSET=UTF-8

var webservice_not_found = "WebService komponenta '{0}/{1}' se ne mo\u017ee na\u0107i ";

//binder.js
var error_on_propertybinder = "Gre\u0161ka na veza\u010du svojstva {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Pogre\u0161na vrijednost {0} za tip {1}";

//eclass.js
var unable_create_object = "Objekt se ne mo\u017ee kreirati bez modela.";
var name_notexist_model = "{0} ne postoji u modelu za klasu {1}.";
var invalid_value_4type = "Pogre\u0161na vrijednost {0} za tip {1}.";
var maximum_size_allowed_attribute = "Maksimalno dozvoljena veli\u010dina je {0} za atribut {1}";
var minimum_size_allowed_attribute = "Minimalno dozvoljena veli\u010dina je {0} za atribut {1}";
var maximum_size_allowed_reference = "Maksimalno dozvoljena veli\u010dina je {0} za uputu {1}";
var minimum_size_allowed_reference = "Minimalno dozvoljena veli\u010dina je {0} za uputu {1}";

//eobject.js
var invalid_argument="Neva\u017ee\u0107i argument.";
var xml_parse_error = "Xml gre\u0161ka u redu: {0} Polo\u017e: {1} \nIzvor: {2} \nRazlog: {3}";
var missing_model = "Nedostaje model.";
var reference_missing_inmodel = "Uputa {0} za klasu {1} nedostaje u modelu.";
var not_a_reference = "{0} nije uputa za klasu {1}.";
var member_missing_inmodel = "\u010clan {0} za klasu {1} nedostaje u modelu.";
var member_not_eatt_or_eref_inmodel = "\u010clan {0} za klasu {1} nije ni e-atribut ni e-uputa u modelu.";
var member__inmodel = "\u010clan {0} za klasu {1} nije ni e-atribut ni e-uputa u modelu.";
var reference_not_class = "Uputa {0} za klasu {1} nije klasa.";
var attribute_not_multivalue_inmodel = "atribut {1} u klasi {2} ne dozvoljava vi\u0161estruke vrijednosti.";
var class_missing_inmodel = "{0} za klasu {1} nedostaje u modelu."
var attributecalculate_missing_indata = "Ra\u010dunanje atributa {0} ne smije biti u podacima.";
var unable_create_object = "Ne mo\u017ee se kreirati e-objekt za svojstvo {0} bez modela.";
var invalid_property = "Neva\u017ee\u0107e svojstvo {0}";
var invalid_expression = "Pogre\u0161an izraz: {0}.{1}.";
var property_cant_change = "Svojstvo {0} je izra\u010dunati atribut ili atribut Samo-za-\u010ditanje, koji se ne mo\u017ee promijeniti."
var root_member_name_missing_error = "Ime korijenskog \u010dlana za graf istra\u017eivanja nedostaje";
var ecore_namespace_missing_error = "Prostor imena e-jezgre za generiranje diffgram nedostaje";
var ereference_list_as_key_error ="Uputa {0} za klasu {1} ima bitnost ve\u0107u od 1 i ne smije se koristiti kao  dio klju\u010da.";
var multivalue_attr_as_key_error ="Atribut {0} za klasu {1} ima bitnost ve\u0107u od 1 i ne smije se koristiti  kao dio klju\u010da.";


//ecreator.js
var unable_create_reference_nomodel = "E-upute se bez modela ne mogu dodati.";
var unable_create_reference_noreference = "E-upute se bez referentnih informacija ne mogu dodati.";
var add_attribute_2nullclass = "Poku\u0161aj dodavanja Atributa na null e-klasu.";
var no_attribute_supply = "Poku\u0161aj dodavanja Atributa na e-klasu '{0}', ali nema dobavljenog atributa.";
var add_reference_2nullclass = "Poku\u0161aj dodavanja uputa na null e-klasu.";
var mismatch_reference_length = "e-klasa '{0}' definira {1} upute, ali samo {2} su predane.";


//datagridcontrol.js
var error_datagrid_action = "Gre\u0161ka na datagrid akciji {0}: {1}";
var label_delete = "Brisanje";
var label_add_newrow = "Dodavanje novog reda...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Prihva\u0107anje";
var label_cancel = "Opoziv";
var label_symbol = "simbol";
var action_datagrid_addrow = "dodavanje reda";
var action_datagrid_removerow = "uklanjanje reda";
var action_datagrid_buildrow = "izgradnja reda";
var selectColName = "Izaberite";
var odcDGImgPrevious = "kliknite da odete na prethodnu stranicu";
var odcDGImgFirst = "kliknite da odete na prvu stranicu";
var odcDGImgNext = "kliknite da odete na sljede\u0107u stranicu";
var odcDGImgLast = "kliknite da odete na zadnju stranicu";
var odcDGImgGo = "kliknite da odete na stranicu koju navedete";
var odcDGSkipToMainContent = "skok na glavni sadr\u017eaj";
var odcDGAscending = "uzlazno sortiranje";
var odcDGDescending = "silazno sortiranje";
var odcDGNavigationPage = " Stranica {0} od {1} ";
var odcDGNavigationJump = " Skok na stranicu:  ";
var invalid_filter_expression = "Izraz koji ste naveli {0} nije va\u017ee\u0107i, poruka gre\u0161ke je {1}";
var odcdgindexhead = "Red #";
var odcDGSelection = "Izbor";
var odcDGImgSelectAll = "Izaberite sve";
var odcDGImgUnSelectAll = "Maknite Izbor sa svega";
var odcDGImgAddRow = "Dodavanje novog reda";
var odcDGImgDelRow = "Brisanje reda";
var odcDGImgAcceptRow = "Prihva\u0107anje";
var odcDGImgCancelRow = "Opoziv";


var action_obfcontrolrender_errormsg = "Ova kontrola nije vezana na bilo koju klijentsku stranu modela podataka \niti je klijentska strana modela podataka null.";


//currency.js
var add_mismatch_currencycode = "Izuzetak: dodavanje iznosa s razli\u010ditim valutama. \u0160ifra prve valute: {0} je razli\u010dita od druge \u0161ifre valute: {1}";
var subtract_mismatch_currencycode = "Izuzetak: oduzimanje iznosa s razli\u010ditim valutama. \u0160ifra prve valute: {0} je razli\u010dita od \u0161ifre druge valute: {1}";

//NLSService.js
var invalid_date_format = "Nema dostupnih informacija o formatu datuma.";
var invalid_date = "Datum {0} nije va\u017ee\u0107i datum utemeljen na formatu koji ste izabrali: {1}";
var invalid_time_format = "Nema dostupnih informacija o formatu vremena.";
var invalid_time = "Vrijeme {0} nije va\u017ee\u0107e vrijeme utemeljeno na formatu koji ste izabrali: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Natrag";
var label_tab_next = "Sljede\u0107e >";
var label_tab_cancel = "Opoziv";
var label_tab_finish = "Zavr\u0161etak";

//detectBrowser.js
var browser_not_support = "Pretra\u017eitelj {0} koji koristite nije podr\u017ean u ovoj aplikaciji.";

//treeControl.js
var odcTreeimgExpand = "Kliknite za pro\u0161irenje";
var odcTreeimgCollapse = "Kliknite za ru\u0161enje";
var odcTreeimgFolderOpen = "Otvoreni folder";
var odcTreeimgFolderNormal = "Zatvoreni folder";
var odcTreeimgLeaf = "Folder";
var odcTreeNoChildErr = "Ovaj \u010dvor nema dostupne podre\u0111ene";
var odcTreeimgTerminal = "\u010cvor lista";

//chart draw variables
var chartdraw_lblPie = "Pita";
var chartdraw_lblBar = "Crtica";
var chartdraw_lblLine = "Red";
var chartdraw_tooltipShare = "Podjela";
var chartdraw_tooltipSeries = "Serija";
var chartdraw_tooltipLabel = "Oznaka";
var chartdraw_tooltipValue = "Vrijednost";
var chartdraw_msgPieChartError = "Pita-dijagram se ne mo\u017ee nacrtati.";
var chartdraw_lblShowAll = "Poka\u017ei sve serije";
var chartdraw_lblChartType = "Tip dijagrama";
var chartdraw_lblSeries = "Serija";
var no_data_series = "Nema navedene serije podataka. Molimo dodajte bar jednu seriju podataka grafu.";
var no_data_atttribute = "Nema navedenog imena za atribut podataka za seriju - {0}. \nMolimo izaberite va\u017ee\u0107i atribut  podataka za ovu seriju.";
var no_label_attribute = "Nema navedenog atributa oznake. \nMolimo izaberite va\u017ee\u0107i atribut oznake.";
var no_group_operation_specified= "Grupa operacije nije navedena za seriju: \n{0}.";
var invalid_group_operation = "Pogre\u0161na grupa operacije - {1} - navedena za seriju - {0}. \nDozvoljene operacije grupe su - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Pogre\u0161an atribut oznake. \nMolimo izaberite va\u017ee\u0107i atribut oznake.";
var invalid_data_atttribute = "Pogre\u0161no ime atributa podataka navedeno za seriju - {0}. \nMolimo izaberite va\u017ee\u0107i  atribut podataka za ovu seriju.";
var invalid_series_attribute_data_type = "Pogre\u0161an tip podataka naveden za ime atributa u seriji - {0}. \nGraf se mo\u017ee  nacrtati samo ako su vrijednosti atributa brojevi ili datumi.";
var null_data_value = "Serija - {0}. sadr\u017ei null vrijednosti. \nGraf se mo\u017ee nacrtati samo ako vrijednosti atributa ne  sadr\u017ee nikakve null vrijednosti.";
var thousands_str = "tisu\u0107e";
var thousands10_str = "10-ci tisu\u0107a";
var thousands100_str = "100-tine tisu\u0107a";
var millions_str = "milijuni";
var millions10_str = "10-ci milijuna";
var millions100_str = "100-tine milijuna";
var billions_str = "bilijuni";
var billions10_str = "10-ci bilijuna";
var billions100_str = "100-tine bilijuna";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "Du\u017eina/sadr\u017eaji niza ne odgovaraju masci na koju se odnose";

//webservice
var error_mapping_output = "Izraz mapiranja izlaznog parametra koji ste naveli je neva\u017ee\u0107i";
var no_flash_component = "Potreban flash player se ne mo\u017ee na\u0107i";
var error_mapping_input = "Izraz mapiranja ulaznog parametra koji ste naveli je pogre\u0161an";
var error_accessing_flash = "Potreban flash player se ne mo\u017ee na\u0107i";

//progressbar
var start_load_model = "Po\u010detak u\u010ditavanja modela podataka {0}";
var end_load_model = "Kraj u\u010ditavanja modela podataka {0}";
var start_load_instance = "Po\u010detak u\u010ditavanja podataka instance za model {0}";
var end_load_instance = "Kraj u\u010ditavanja podataka instance za model {0}";
var start_render_control = "Po\u010detak izvo\u0111enja kontrole {0}";
var end_render_control = "Kraj izvo\u0111enja kontrole {0}";
var status_string =  "Status: ";
var progressbar_header = "Stranica za u\u010ditavanje";
var tabbed_panel = "Ozna\u010deni panel";
var datagrid = "Mre\u017ea podataka";
var webservice = "Web usluga";
var treeview = "Pogled na stablo";
var graphdraw = "Crtanje grafa";

