//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

// ODCRegistry.js
// NLS_CHARSET=UTF-8

var webservice_not_found = "Webservicecomponent '{0}/{1}' is niet gevonden ";

//binder.js
var error_on_propertybinder = "Fout in eigenschap binder {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Ongeldige waarde {0} voor type {1}";

//eclass.js
var unable_create_object = "eobject kan niet worden gemaakt zonder model.";
var name_notexist_model = "{0} bestaat niet in model voor klasse {1}.";
var invalid_value_4type = "Ongeldige waarde {0} voor type {1}.";
var maximum_size_allowed_attribute = "Toegestane maximumgrootte is {0} voor kenmerk {1}";
var minimum_size_allowed_attribute = "Toegestane minimumgrootte is {0} voor kenmerk {1}";
var maximum_size_allowed_reference = "Toegestane maximumgrootte is {0} voor verwijzing {1}";
var minimum_size_allowed_reference = "Toegestane minimumgrootte is {0} voor verwijzing {1}";

//eobject.js
var invalid_argument="Ongeldig argument.";
var xml_parse_error = "XML-fout op regel: {0} Pos: {1} \nBron: {2} \nReden: {3}";
var missing_model = "Ontbrekend model.";
var reference_missing_inmodel = "Verwijzing {0} voor klasse {1} ontbreekt in model.";
var not_a_reference = "{0} is geen verwijzing voor klasse {1}.";
var member_missing_inmodel = "Sectie {0} voor klasse {1} ontbreekt in model.";
var member_not_eatt_or_eref_inmodel = "Sectie {0} voor klasse {1} is geen ekenmerk of everwijzing in model.";
var member__inmodel = "Sectie {0} voor klasse {1} is geen ekenmerk of everwijzing in model.";
var reference_not_class = "Verwijzing {0} voor klasse {1} is geen klasse.";
var attribute_not_multivalue_inmodel = "Voor kenmerk {1} in klasse {2} zijn meerdere waarden niet toegestaan.";
var class_missing_inmodel = "{0} voor klasse {1} ontbreekt in model."
var attributecalculate_missing_indata = "Kenmerk berekenen {0} mag niet in gegevens staan.";
var unable_create_object = "eobject voor eigenschap {0} kan niet worden gemaakt zonder model.";
var invalid_property = "Ongeldige eigenschap {0}";
var invalid_expression = "Ongeldige expressie: {0}.{1}.";
var property_cant_change = "Eigenschap {0} is een berekend kenmerk of een alleen-lezen kenmerk dat niet kan worden gewijzigd."
var root_member_name_missing_error = "Hoofdsectienaam voor dalende grafiek ontbreekt";
var ecore_namespace_missing_error = "Ecore-naamruimte voor genereren van diffgram ontbreekt";
var ereference_list_as_key_error ="Verwijzing {0} voor klasse {1} heeft een kardinaliteit die groter is dan 1 en mag niet worden gebruikt als gedeelte van een sleutel.";
var multivalue_attr_as_key_error ="Kenmerk {0} voor klasse {1} heeft een kardinaliteit die groter is dan 1 en mag niet worden gebruikt als gedeelte van een sleutel.";


//ecreator.js
var unable_create_reference_nomodel = "everwijzingen kunnen niet worden toegevoegd zonder model.";
var unable_create_reference_noreference = "everwijzingen kunnen niet worden toegevoegd zonder verwijzingsinformatie.";
var add_attribute_2nullclass = "Proberen om kenmerken toe te voegen aan een NULL-eklasse.";
var no_attribute_supply = "Proberen om kenmerken toe te voegen aan eklasse '{0}', maar er is geen kenmerk opgegeven.";
var add_reference_2nullclass = "Proberen om everwijzingen toe te voegen aan een NULL-eklasse.";
var mismatch_reference_length = "eklasse '{0}' definieert {1} verwijzingen, maar er zijn er slechts {2} doorgegeven.";


//datagridcontrol.js
var error_datagrid_action = "Fout in datagrid-actie {0}: {1}";
var label_delete = "Wissen";
var label_add_newrow = "Nieuwe rij toevoegen...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Accepteren";
var label_cancel = "Annuleren";
var label_symbol = "symbool";
var action_datagrid_addrow = "rij toevoegen";
var action_datagrid_removerow = "rij verwijderen";
var action_datagrid_buildrow = "rij maken";
var selectColName = "Selecteren";
var odcDGImgPrevious = "klik hier om naar vorige pagina te gaan";
var odcDGImgFirst = "klik hier om naar eerste pagina te gaan";
var odcDGImgNext = "klik hier om naar volgende pagina te gaan";
var odcDGImgLast = "klik hier om naar laatste pagina te gaan";
var odcDGImgGo = "klik hier om naar pagina te gaan die u opgeeft";
var odcDGSkipToMainContent = "overslaan tot hoofdinhoud";
var odcDGAscending = "oplopend sorteren";
var odcDGDescending = "aflopend sorteren";
var odcDGNavigationPage = " Pagina {0} van {1} ";
var odcDGNavigationJump = " Naar pagina:  ";
var invalid_filter_expression = "De door u opgegeven expressie {0} is ongeldig. Het foutbericht is {1}";
var odcdgindexhead = "Rijnummer #";
var odcDGSelection = "Selectie";
var odcDGImgSelectAll = "Alles selecteren";
var odcDGImgUnSelectAll = "Selectie ongedaan maken";
var odcDGImgAddRow = "Een nieuwe rij toevoegen";
var odcDGImgDelRow = "Een rij wissen";
var odcDGImgAcceptRow = "Accepteren";
var odcDGImgCancelRow = "Annuleren";


var action_obfcontrolrender_errormsg = "Deze stuurcode is niet gekoppeld aan een gegevensmodel aan de clientzijde\nof het gevevensmodel aan de clientzijde is NULL.";


//currency.js
var add_mismatch_currencycode = "Uitzondering: bedragen in verschillende valuta optellen. De eerste valutacode: {0} is niet gelijk aan de tweede valutacode: {1}";
var subtract_mismatch_currencycode = "Uitzondering: bedragen in verschillende valuta aftrekken.De eerste valutacode: {0} is niet gelijk aan de tweede valutacode: {1}";

//NLSService.js
var invalid_date_format = "Er zijn geen datumnotatiegegevens beschikbaar.";
var invalid_date = "De datum {0} is ongeldig op basis van de door u gekozen notatie: {1}";
var invalid_time_format = "Er zijn geen tijdnotatiegegevens beschikbaar.";
var invalid_time = "De tijd {0} is ongeldig op basis van de door u gekozen notatie: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Terug";
var label_tab_next = "Volgende >";
var label_tab_cancel = "Annuleren";
var label_tab_finish = "Voltooien";

//detectBrowser.js
var browser_not_support = "De browser {0} die u gebruikt wordt niet ondersteund door deze toepassing.";

//treeControl.js
var odcTreeimgExpand = "Klik hier om uit te vouwen";
var odcTreeimgCollapse = "Klik hier om samen te vouwen";
var odcTreeimgFolderOpen = "Geopende map";
var odcTreeimgFolderNormal = "Gesloten map";
var odcTreeimgLeaf = "Map";
var odcTreeNoChildErr = "Dit knooppunt bevat geen onderliggende elementen";
var odcTreeimgTerminal = "Eindpuntknooppunt";

//chart draw variables
var chartdraw_lblPie = "Segment";
var chartdraw_lblBar = "Balk";
var chartdraw_lblLine = "Lijn";
var chartdraw_tooltipShare = "Gedeelte";
var chartdraw_tooltipSeries = "Verzameling";
var chartdraw_tooltipLabel = "Label";
var chartdraw_tooltipValue = "Waarde";
var chartdraw_msgPieChartError = "Cirkeldiagram kan niet worden getekend.";
var chartdraw_lblShowAll = "Alle verzamelingen afbeelden";
var chartdraw_lblChartType = "Diagramtype";
var chartdraw_lblSeries = "Verzameling";
var no_data_series = "Geen gegevensverzameling opgegeven. Voeg ten minste \u00e9\u00e9n gegevensverzameling toe aan de grafiek.";
var no_data_atttribute = "Geen gegevenskenmerknaam opgegeven voor verzameling - {0}. \nSelecteer een geldig gegevenskenmerk voor deze verzameling.";
var no_label_attribute = "Geen labelkenmerk opgegeven. \nSelecteer een geldig labelkenmerk.";
var no_group_operation_specified= "Geen groepsbewerking opgegeven voor verzameling: \n{0}.";
var invalid_group_operation = "Ongeldige groepsbewerking - {1} - opgegeven voor verzameling - {0}.  \nToegestane groepsbewerkingen zijn - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Ongeldig labelkenmerk. \nSelecteer een geldig labelkenmerk.";
var invalid_data_atttribute = "Ongeldige gegevenskenmerknaam opgegeven voor verzameling - {0}. \nSelecteer een geldig gegevenskenmerk voor deze verzameling.";
var invalid_series_attribute_data_type = "Ongeldig gegevenstype opgegeven voor kenmerknaam in verzameling - {0}. \nDe grafiek kan alleen worden geplot als de kenmerkwaarden getallen of datums zijn.";
var null_data_value = "Verzameling - {0}. bevat NULL-waarden. \nDe grafiek kan alleen worden geplot als de kenmerkwaarden geen NULL-waarden bevatten.";
var thousands_str = "duizenden";
var thousands10_str = "tienduizenden";
var thousands100_str = "honderdduizenden";
var millions_str = "miljoenen";
var millions10_str = "tienmiljoenen";
var millions100_str = "honderdmiljoenen";
var billions_str = "miljarden";
var billions10_str = "tienmiljarden";
var billions100_str = "honderdmiljarden";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "De lengte/inhoud van de tekenreeks komt niet overeen met het masker dat erop is toegepast";

//webservice
var error_mapping_output = "De opgegeven expressie voor de uitvoerparametertoewijzing is ongeldig";
var no_flash_component = "Vereiste flash player kan niet worden gevonden";
var error_mapping_input = "De opgegeven expressie voor de invoerparametertoewijzing is ongeldig";
var error_accessing_flash = "Vereiste flash player kan niet worden gevonden";

//progressbar
var start_load_model = "Laden gegevensmodel {0} starten";
var end_load_model = "Laden gegevensmodel {0} be\u00ebindigen";
var start_load_instance = "Laden instancegegevens voor model {0} starten";
var end_load_instance = "Laden instancegegevens voor model {0} be\u00ebindigen";
var start_render_control = "Weergeven stuurcode {0} starten";
var end_render_control = "Weergeven stuurcode {0} be\u00ebindigen";
var status_string =  "Status: ";
var progressbar_header = "Pagina laden";
var tabbed_panel = "Tabvenster";
var datagrid = "Gegevensraster";
var webservice = "Webservice";
var treeview = "Boomstructuur";
var graphdraw = "Graph Draw";

